%global luaver 5.1
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:		lua-lgi
Version:	0.6.2
Release:	2%{?dist}
Summary:	Lua bindings to GObject libraries
License:	MIT
URL:		https://github.com/pavouk/lgi
Source0:	https://github.com/pavouk/lgi/archive/%{version}.tar.gz
Patch0:		lgi-0.6.2-tests.patch
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.8
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	lua >= %{luaver}
BuildRequires:	lua-devel >= %{luaver}
# for the testsuite:
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	Xvfb xauth

Requires:	lua >= %{luaver}

%global __requires_exclude_from %{_docdir}

%description
LGI is gobject-introspection based dynamic Lua binding to GObject
based libraries. It allows using GObject-based libraries directly from
Lua.


%prep
%setup -q -n lgi-%{version}
%patch0 -p1


%build
# we misuse LIBFLAG here instead of patching the makefile
make %{?_smp_mflags} \
  "COPTFLAGS=%{optflags}" \
  "LIBFLAG=-shared %{__global_ldflags}"


%install
make install \
  "PREFIX=%{_prefix}" \
  "LUA_LIBDIR=%{lualibdir}" \
  "LUA_SHAREDIR=%{luapkgdir}" \
  "DESTDIR=%{buildroot}"


%check
xvfb-run -a -w 1 make check \
  "COPTFLAGS=%{optflags}" \
  "LIBFLAG=-shared %{__global_ldflags}" \
  "LIBDIR=%{_libdir}"


%files
%doc LICENSE README.md
%doc samples
%{luapkgdir}/lgi.lua
%{luapkgdir}/lgi
%{lualibdir}/lgi


%changelog
* Sun Dec 23 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-2
- Add gtk3 as BR, required by the testsuite.

* Sun Dec 23 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-1
- New package.
